import * as api from '@/api/index'
import { dictionary, dictionaryDefine } from './dictionary-define'
import { dictionaryOther, dictionaryOtherDefine } from './dictionary-other-define'
import { defineStore } from 'pinia'
import {mockApi} from "@/api/modules/global/global";

export const useDictionaryStore = defineStore('dictionary', {
	state: () => ({
		...dictionary,
		...dictionaryOther,
	}),
	getters: {
	},
	actions: {
		initDict(type) {
			return new Promise((resolve, reject) => {
				if (this[dictionaryDefine[type][0]].length === 0) {
					api.default.mockApi().then((res: any) => {
						console.log(res)
						// const data = res.data
						// const map = new Map()
						// const objMap = new Map()
						// if (data.length > 0) {
						// 	data.forEach((v: any) => {
						// 		v.selectLabel = v.dictLabel
						// 		v.selectValue = v.dictValue
						// 		map.set(v.dictValue, v.dictLabel)
						// 		objMap.set(v.dictValue, v)
						// 	})
						// }
						// this[dictionaryDefine[type][0]] = data
						// this[dictionaryDefine[type][1]] = map
						// this[dictionaryDefine[type]?.[2]] = objMap
						resolve(res.data)
					}).catch((e: any) => {
						console.log('e: ', e);
						reject('获取'+dictionaryDefine[type][0]+'字典错误')
					})
				} else {
					resolve(this[dictionaryDefine[type][0]])
				}
			})
		},
		initOtherDict(type, data) {
			return new Promise((resolve, reject) => {
				if (this[dictionaryOtherDefine[type][0]].length === 0) {
					const map = new Map()
					const objMap = new Map()
					if (data.length > 0) {
						data.forEach((v: any) => {
							v.selectLabel = v.dictLabel
							v.selectValue = v.dictValue
							map.set(v.dictValue, v.dictLabel)
							objMap.set(v.dictValue, v)
						})
					}
					this[dictionaryOtherDefine[type][0]] = data
					this[dictionaryOtherDefine[type][1]] = map
					this[dictionaryOtherDefine[type]?.[2]] = objMap
				} else {
					resolve(this[dictionaryOtherDefine[type][0]])
				}
			})
		}
	},
})