export default (config) => {
  const extractRgbFromRgba = (rgbaString) => {
    const match = rgbaString.match(/^rgba?\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})(?:,\s*[\d.]+)?\)$/);
    if (match) {
      return [parseInt(match[1], 10), parseInt(match[2], 10), parseInt(match[3], 10)];
    }
    return [46, 129, 255];
  }
  const mainDefault = 'rgba(46, 129, 255, 1)'
  document.documentElement.style.setProperty('--cus-main-color', config.mainColor || mainDefault) // 主题色
  document.documentElement.style.setProperty('--cus-main-color-rgb', extractRgbFromRgba(config.mainColor || mainDefault).join(',')) // 主题色rgb
  document.documentElement.style.setProperty('--cus-text-color-1', config.textColor1 || 'rgba(48,49,51,1)') // 文字色1
  document.documentElement.style.setProperty('--cus-text-color-2', config.textColor2 || 'rgba(96,98,102,1)') // 文字色1
  document.documentElement.style.setProperty('--cus-text-color-3', config.textColor3 || 'rgba(144,147,153,1)') // 文字色1
  document.documentElement.style.setProperty('--cus-text-color-4', config.textColor4 || 'rgba(192,196,204,1)') // 文字色1
}